Name: ldetect-lst
Version: 0.1.7
Release: alt1

Summary: Hardware list for the light detection library
License: GPL
Group: System/Libraries
BuildArch: noarch

Source: %name.tar.bz2
Source1: Cards2CardsNames.pl
Patch1: %name-alt-ati-r300.patch

Prefix: %prefix

BuildRequires: perl-MDK-Common

%package devel
Summary: Development environment for %name
Group: Development/Perl
Requires: ldetect-lst = %version
AutoReqProv: yes, perl

%description
The hardware device lists provided by this package are used as lookup
table to get hardware autodetection.

%description devel
See %name.

%prep
%setup -q -n %name
%patch1 -p1

%build
%make_build

%install
%makeinstall
%SOURCE1 < $RPM_BUILD_ROOT/usr/share/%name/Cards+ > $RPM_BUILD_ROOT/usr/share/%name/CardsNames

# trigger is needed to upgrade from a package having
# /usr/share/ldetect-lst/pcitable in the package to the new scheme
%triggerpostun -- %name
if [ -x /usr/sbin/update-ldetect-lst ]; then
  /usr/sbin/update-ldetect-lst
fi

%preun
/usr/sbin/update-ldetect-lst --clean

%post -p /usr/sbin/update-ldetect-lst

%files
%_datadir/%name
%_sbindir/*

%files devel
%_bindir/*
%doc convert/README.pcitable

%changelog
* Thu Feb 13 2003 Rider <rider@altlinux.ru> 0.1.7-alt1
- sync hardware database with MDK
- support for ATI Radeon R300 (with fglrx drivers)

* Tue Feb 11 2003 Rider <rider@altlinux.ru> 0.1.5-alt4
- 3D support for SiS 650/651/740

* Mon Feb 10 2003 Rider <rider@altlinux.ru> 0.1.5-alt3
- support for SiS 650/651/740
- don't setup XFree86-3.3.6 for: S3 Savage3D, ATI Mach64 Utah, ATI Rage Mobility, SiS 540,
 SiS 630, SiS 300

* Fri Feb 07 2003 Rider <rider@altlinux.ru> 0.1.5-alt2
- Changed snd-intel8x0 driver to i810_audio for 0x8086 0x2485 Intel 82801 AC97 Audio Controller
- use alsa snd-ali5451 for all [ALi] M5451 devices

* Thu Jan 23 2003 Konstantin Volckov <goldhead@altlinux.ru> 0.1.5-alt1
- 0.1.5
- Fixed some devices

* Fri Nov 15 2002 Konstantin Volckov <goldhead@altlinux.ru> 0.1.4-alt3
- Fixed hpusbscsi module name
- Updated ldetect-lst from Cooker

* Thu Oct 24 2002 Konstantin Volckov <goldhead@linux.ru.net> 0.1.4-alt2
- Fixed CardsNames file name

* Wed Oct 02 2002 Konstantin Volckov <goldhead@linux.ru.net> 0.1.4-alt1
- New version
- Added many new id's for ati, via, nvidia, conexant, s3 etc

* Mon Sep 30 2002 Konstantin Volckov <goldhead@linux.ru.net> 0.1.3-alt10
- Added new ATI pci ids

* Tue Sep 10 2002 Konstantin Volckov <goldhead@linux.ru.net> 0.1.3-alt9
- Changed snd-via686 driver to via82cxxx_audio

* Thu Jun 06 2002 Konstantin Volckov <goldhead@linux.ru.net> 0.1.3-alt8
- Fixed es1370 soundcard driver

* Mon Apr 15 2002 Konstantin Volckov <goldhead@linux.ru.net> 0.1.3-alt7
- Fixed snd-via686 sound driver

* Wed Apr 10 2002 Konstantin Volckov <goldhead@linux.ru.net> 0.1.3-alt6
- Fixed nVidia nForce chipset PCI'ids

* Fri Mar 22 2002 Stanislav Ievlev <inger@altlinux.ru> 0.1.3-alt5
- fix %post (removed -p) to correct Spring update

* Thu Mar 21 2002 Konstantin Volckov <goldhead@linux.ru.net> 0.1.3-alt4
- Fixed nVidia descriptions

* Wed Mar 20 2002 Konstantin Volckov <goldhead@linux.ru.net> 0.1.3-alt3
- Added radeon mobility pci id
- Added PCI ID's for nVidia Geforce4 video adapters
- Updates from MDK

* Mon Mar 18 2002 Konstantin Volckov <goldhead@linux.ru.net> 0.1.3-alt2
- Moved SB Audigy back to emu10k1 driver - this fixed in 2.4.18-alt4 kernels

* Thu Feb 28 2002 Konstantin Volckov <goldhead@linux.ru.net> 0.1.3-alt1
- 0.1.3
- Fixed SBAudigy support
- Synced with new kernel

* Fri Jan 18 2002 Konstantin Volckov <goldhead@linux.ru.net> 0.1.2-ipl16mdk
- Fixed Intel agpgart & eepro100 pci'ids
- Added SBAudigy support

* Tue Jan 15 2002 Konstantin Volckov <goldhead@linux.ru.net> 0.1.2-ipl15mdk
- Reverted e100 changes
- Added Promise20270 support to pci id's
- Added some sis650 pci id's

* Fri Jan 11 2002 Konstantin Volckov <goldhead@linux.ru.net> 0.1.2-ipl14mdk
- Added sis & nVidia MCP integrated audio id's
- Added ServerWorks agp support

* Wed Jan 09 2002 Konstantin Volckov <goldhead@linux.ru.net> 0.1.2-ipl13mdk
- Changed eepro100 driver to e100

* Sat Dec 29 2001 Konstantin Volckov <goldhead@linux.ru.net> 0.1.2-ipl12mdk
- Fixed yenta_socket driver
- Fixed agpgart module assignment for some chipsets

* Fri Dec 28 2001 Konstantin Volckov <goldhead@linux.ru.net> 0.1.2-ipl11mdk
- Changed pcmcia i82365 driver to yenta-socket driver
- Added entry for Ess Maestro 3 Diamond card

* Thu Dec 13 2001 Konstantin Volckov <goldhead@linux.ru.net> 0.1.2-ipl10mdk
- Merged with cooker
- Added patch for pdcraid driver in Promise Raid controllers
- Added some alias for modules from current kernel

* Fri Nov 23 2001 Konstantin Volckov <goldhead@linux.ru.net> 0.1.2-ipl9mdk
- Changed Cmedia 8738 audiocards drivers to ALSA

* Fri Nov 16 2001 Jeff Garzik <jgarzik@mandrakesoft.com> 0.1.2-33mdk
- use %%old_makeinstall
- pass -q to %%setup

* Wed Nov 08 2001 Konstantin Volckov <goldhead@linux.ru.net> 0.1.2-ipl8mdk
- Merged with cooker

* Fri Jun 15 2001 Konstantin Volckov <goldhead@linux.ru.net> 0.1.2-ipl7mdk
- Merged with cooker
- Fixed new 3com netrork card patch
- Added Cards+ from drakxtools

* Thu May 10 2001 Konstantin Volckov <goldhead@linux.ru.net> 0.1.2-ipl6mdk
- New entries in pcitable
- Fixed integrated via & intel audiochips configs

* Sun Mar 18 2001 Dmitry V. Levin <ldv@altlinux.ru> 0.1.2-ipl5mdk
- Updated source from 0.1.2-7mdk.

* Tue Feb 20 2001 Dmitry V. Levin <ldv@fandra.org> 0.1.2-ipl4mdk
- RE adaptions.

* Thu Jan 25 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 0.1.2-4mdk
- snd-card-intel8x0 -> i810_audio

* Thu Jan 25 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 0.1.2-3mdk
- snapshot (for pcitable updates)

* Thu Dec 21 2000 Pixel <pixel@mandrakesoft.com> 0.1.2-2mdk
- add ldetect-lst-devel

* Sat Dec 16 2000 Pixel <pixel@mandrakesoft.com> 0.1.2-1mdk
- add usbtable

* Fri Dec 15 2000 Pixel <pixel@mandrakesoft.com> 0.1.1-1mdk
- add Cards+, MonitorsDB, isdn.db

* Fri Dec 15 2000 Pixel <pixel@mandrakesoft.com> 0.1.0-1mdk
- first release
